=== debian/changelog ===
rock-master-19.06-gui-rock-widget-collection (0.20181219-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/gui-rock_widget_collection.git
  * branch: refs/heads/master
  * commit: f9a5e2eaeb6173a81e03971a309b44be2a691a19
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Mon, 01 Jul 2019 23:34:02 +0200
