=== debian/control ===
Source: rock-master-19.06-gui-rock-widget-collection
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, freeglut3-dev, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, qt4-qmake, rock-master-19.06-base-cmake, rock-master-19.06-base-types, rock-master-19.06-drivers-aggregator, rock-master-19.06-perception-frame-helper
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-gui-rock-widget-collection
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-base-types, rock-master-19.06-drivers-aggregator, rock-master-19.06-perception-frame-helper, cmake, build-essential, freeglut3-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev, libqwt5-qt4-dev
Description: Collection of qt widgets which are compatible to qt designer
 Collection of qt widgets which are compatible to qt designer
